Documentation: NexPicture Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexPicture Class Reference
Nextion Component

NexPicture component. More...

`#include <NexPicture.h>`

Inherits NexTouch.

## Public Member Functions

| NexPicture (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | Get_background_image_pic (uint32_t *number)
| Get picture's number. More...
bool | Set_background_image_pic (uint32_t number)
| Set picture's number. More...
bool | getPic (uint32_t *number)
| Get picture's number. More...
bool | setPic (uint32_t number)
| Set picture's number. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexPicture component.

Definition at line 30 of file NexPicture.h.

## Constructor & Destructor Documentation

NexPicture::NexPicture | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 18 of file NexPicture.cpp.

## Member Function Documentation

bool NexPicture::Get_background_image_pic | ( | uint32_t * | number | ) |

Get picture's number.

Parameters

  number | - an output parameter to save picture number.

Return values

  true | - success.
  false | - failed.

Definition at line 23 of file NexPicture.cpp.

bool NexPicture::getPic | ( | uint32_t * | number | ) |

Get picture's number.

Parameters

  number | - an output parameter to save picture number.

Return values

  true | - success.
  false | - failed.

Definition at line 46 of file NexPicture.cpp.

bool NexPicture::Set_background_image_pic | ( | uint32_t | number | ) |

Set picture's number.

Parameters

  number | -the picture number.

Return values

  true | - success.
  false | - failed.

Definition at line 32 of file NexPicture.cpp.

bool NexPicture::setPic | ( | uint32_t | number | ) |

Set picture's number.

Parameters

  number | -the picture number.

Return values

  true | - success.
  false | - failed.

Definition at line 55 of file NexPicture.cpp.

The documentation for this class was generated from the following files:

- NexPicture.h
- NexPicture.cpp